AOMedia AV1 Codec: LAYER_CONTEXT Struct Reference

| AOMedia AV1 Codec

LAYER_CONTEXT Struct Reference
Encoder Algorithm » Scalable Video Coding

The stucture of quantities related to each spatial and temporal layer. More...

`#include <svc_layercontext.h>`

## Data Fields
int | sb_index
int8_t * | map
int | actual_num_seg1_blocks
int | actual_num_seg2_blocks
int | counter_encode_maxq_scene_change
uint8_t | speed
unsigned char | group_index
int | is_key_frame
int | max_mv_magnitude

## Detailed Description

The stucture of quantities related to each spatial and temporal layer.

## Field Documentation

## ◆ sb_index

int LAYER_CONTEXT::sb_index

Cyclic refresh parameters (aq-mode=3), that need to be updated per-frame.

Referenced by av1_init_layer_context(), av1_restore_layer_context(), av1_save_layer_context(), and av1_update_layer_context_change_config().

## ◆ map

int8_t* LAYER_CONTEXT::map

Segmentation map

Referenced by av1_free_svc_cyclic_refresh(), av1_init_layer_context(), av1_restore_layer_context(), av1_save_layer_context(), and av1_update_layer_context_change_config().

## ◆ actual_num_seg1_blocks

int LAYER_CONTEXT::actual_num_seg1_blocks

Number of blocks on segment 1

Referenced by av1_init_layer_context(), av1_restore_layer_context(), av1_save_layer_context(), and av1_update_layer_context_change_config().

## ◆ actual_num_seg2_blocks

int LAYER_CONTEXT::actual_num_seg2_blocks

Number of blocks on segment 2

Referenced by av1_init_layer_context(), av1_restore_layer_context(), av1_save_layer_context(), and av1_update_layer_context_change_config().

## ◆ counter_encode_maxq_scene_change

int LAYER_CONTEXT::counter_encode_maxq_scene_change

Counter used to detect scene change.

Referenced by av1_init_layer_context(), av1_restore_layer_context(), av1_save_layer_context(), and av1_update_layer_context_change_config().

## ◆ speed

uint8_t LAYER_CONTEXT::speed

Speed settings for each layer.

## ◆ group_index

unsigned char LAYER_CONTEXT::group_index

GF group index.

Referenced by av1_save_layer_context().

## ◆ is_key_frame

int LAYER_CONTEXT::is_key_frame

If current layer is key frame.

Referenced by encode_nonrd_sb(), and grade_source_content_sb().

## ◆ max_mv_magnitude

int LAYER_CONTEXT::max_mv_magnitude

Maximum motion magnitude of previous encoded layer.

Referenced by av1_restore_layer_context(), and av1_save_layer_context().

The documentation for this struct was generated from the following file:

- av1/encoder/svc_layercontext.h